Follow

Saffire FireWire Range - end of development support

Applies to: Pro 14, Pro 24, Pro 24 DSP, Pro 26, Pro 40, Liquid Saffire 56

Saffire FireWire interfaces are no longer under development support, therefore we recommend that users do not upgrade their macOS beyond Catalina or their Windows OS beyond Windows 10 build 1809.

To confirm, the Saffires are compatible with macOS Catalina 10.15 (see this article for further information).

Whilst Saffire FireWire interfaces may continue to work on future macOS versions, we will not be able to carry out any related testing and therefore these configurations will not be supported.

Was this article helpful?
4 out of 10 found this helpful
Have more questions? Submit a request

Comments

Didn't find what you were looking for?

Search again using our search tool.